import axios from "../../utils/axios";

export function getThrProducts(query) {
    return axios({
        url: "/udiwms/thrsys/getThrProducts",
        method: "get",
        params: query
    });
}

export function delThrProducts(query) {
    return axios({
        url: "/udiwms/thrsys/delThrProducts",
        method: "post",
        data: query
    });
}

export function delAll(query) {
    return axios({
        url: "/udiwms/thrsys/products/delAll",
        method: "get",
        params: query
    });
}

export function downloadAll(query) {
    return axios({
        url: "/udiwms/thrsys/products/downloadAll",
        method: "get",
        params: query
    });
}

export function productsDlAll(query) {
    return axios({
        url: "/udiwms/thrsys/products/productsDlAll",
        method: "post",
        data: query
    });
}

export function saveNewProduct(data) {
    return axios({
        url: '/udiwms/udiinfo/erp/products/saveProduct',
        method: 'post',
        data: data
    })
}
